@import './variables.scss';

.index-item {
	width: 100%;
	background-color: $midbackground;
	position: relative;
	transition-duration: 1s;

	.index-shadow {
		cursor: pointer;
		z-index: 2;
		display: flex;
		align-items: center;
		position: relative;

		.favorite-star {
			position: absolute;
			top: 10px;
			right: 10px;
			color: goldenrod;
		}

		.index-img {
			height: auto;
			z-index: 2;

			&.pet {
				width: 70px;
			}
			&.mount {
				width: 30%;
			}
		}

		.index-name,
		.index-data-details {
			margin-left: 5px;
			z-index: 2;
			cursor: pointer;
			font-size: 16px;
		}
	}

	&::before {
		position: absolute;
		content: "";
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		background-image: linear-gradient(to right, $midbackground, $lightbackground);
		z-index: -1;
		opacity: 0;
	}
	&:hover {
		&::before {
			transition-duration: 0.5s;
			z-index: 1;
			opacity: 1;
		}
	}
}
